Subject: [netmod] draft-ietf-netmod-yang-module-versioning-02

From: Reshad Rahman <[email-masked]>
Date: Sun, 28 Feb 2021 15:48:17 -0500

WG,

Here are the changes in this revision (various people have contributed to the changes after the discussions in the last 2 virtual interims).
1) Addition of backwards-compatibility rules for config false and output data (section 3.1.2)
2) Clarification on YANG module files: use of # in filename with revision-label (section 3) 
3) New text on impact of removing revisions from the revision history (section 3.3.2)
4) New text on how adding/changing/removing "revision-xxx" sub-statements in import statements is considered BC (section 4)
5) Changed revision-label in the YANG module to match accepted characters
6) New text for IANA maintained YANG modules (section 11.2)

Please provide comments/feedback.

Regards,
Reshad.

On 2021-02-22, 5:30 PM, "[email-masked]" <[email-masked]> wrote:

    A new version of I-D, draft-ietf-netmod-yang-module-versioning-02.txt
    has been successfully submitted by Reshad Rahman and posted to the
    IETF repository.

    Name:		draft-ietf-netmod-yang-module-versioning
    Revision:	02
    Title:		Updated YANG Module Revision Handling
    Document date:	2021-02-22
    Group:		netmod
    Pages:		40
    URL:            https://www.ietf.org/archive/id/draft-ietf-netmod-yang-module-versioning-02.txt
    Status:         https://datatracker.ietf.org/doc/draft-ietf-netmod-yang-module-versioning/
    Htmlized:       https://datatracker.ietf.org/doc/html/draft-ietf-netmod-yang-module-versioning
    Htmlized:       https://tools.ietf.org/html/draft-ietf-netmod-yang-module-versioning-02
    Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-netmod-yang-module-versioning-02

    Abstract:
       This document specifies a new YANG module update procedure that can
       document when non-backwards-compatible changes have occurred during
       the evolution of a YANG module.  It extends the YANG import statement
       with an earliest revision filter to better represent inter-module
       dependencies.  It provides help and guidelines for managing the
       lifecycle of YANG modules and individual schema nodes.  It provides a
       mechanism, via the revision-label YANG extension, to specify a
       revision identifier for YANG modules.  This document updates RFC
       7950, RFC 8407 and RFC 8525.

    Please note that it may take a couple of minutes from the time of submission
    until the htmlized version and diff are available at tools.ietf.org.

    The IETF Secretariat